---
updatedAt: 2025-07-30T16:54:17.000Z
agentTools:
  projectIndex: https://docs.supplierxm.salsify.com/llms.txt
---

# Products upsert

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "tariff",
    "version": "2.1"
  },
  "servers": [
    {
      "url": "https://apis.supplierxm.salsify.com/public/v1/tariffs"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "apiKey",
        "in": "header",
        "name": "Authorization",
        "x-bearer-format": "bearer",
        "x-default": "SALSIFY_TOKEN"
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/{uuid}/products": {
      "post": {
        "summary": "Products upsert",
        "description": "",
        "operationId": "tariff-product-upsert",
        "parameters": [
          {
            "name": "uuid",
            "in": "path",
            "description": "The UUID of the tariff for which you are querying the products. It is found in the output of the tariffs list.",
            "schema": {
              "type": "string"
            },
            "required": true
          }
        ],
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n  \"tracking\": 123456\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "tracking": {
                      "type": "integer",
                      "example": 123456,
                      "default": 0
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "400",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {}
                }
              }
            }
          }
        },
        "deprecated": false,
        "x-readme": {
          "code-samples": [
            {
              "language": "curl",
              "code": "curl -H 'Authorization: Bearer SALSIFY_TOKEN' -XPOST 'https://apis.supplierxm.salsify.com/public/v1/tariffs' -H 'Content-Type: application/json' -d '{\n  \"data\": [\n    {\n      \"data\": {\n        \"contractNumber\": \"\",\n        \"hierarchyProduct\": {\"gtin\": \"01234567891234\"},\n        \"priceWaterfalls\": [\n          {\n            \"bracketUnit\": null,\n            \"brackets\": [\n              {\n                \"min\": 1\n              },\n              {\n                \"min\": 10\n              }\n            ],\n            \"levels\": [\n              {\n                \"items\": [\n                  {\n                    \"description\": \"Prix brut\",\n                    \"type\": {\n                      \"code\": \"grossPrice\"\n                    },\n                    \"unit\": {\n                      \"code\": \"$\"\n                    },\n                    \"values\": [\n                      {\n                        \"value\": \"12\"\n                      },\n                      {\n                        \"value\": \"10\"\n                      }\n                    ]\n                  }\n                ],\n                \"type\": {\n                  \"code\": \"price\",\n                  \"description\": \"Price level type\",\n                  \"label\": \"HT Tariff\"\n                }\n              }\n            ],\n            \"product\": {\n              \"gtin\": \"12345678901234\"\n            },\n            \"taxes\": []\n          }\n        ]\n      },\n      \"gtin\": \"23456789012345\",\n      \"supplierId\": null\n    },\n    {\n      \"data\": {\n        \"contractNumber\": \"\",\n        \"priceWaterfalls\": [\n          {\n            \"bracketUnit\": null,\n            \"brackets\": [\n              {\n                \"min\": 1\n              },\n              {\n                \"min\": 10\n              }\n            ],\n            \"levels\": [\n              {\n                \"items\": [\n                  {\n                    \"description\": \"Prix brut\",\n                    \"type\": {\n                      \"code\": \"grossPrice\",\n                      \"key\": \"grossPrice\",\n                      \"label\": \"Gross price\"\n                    },\n                    \"unit\": {\n                      \"code\": \"$\",\n                      \"description\": \"Absolute unit type\",\n                      \"label\": \"Amount\"\n                    },\n                    \"values\": [\n                      {\n                        \"value\": \"abc\"\n                      },\n                      {\n                        \"value\": \"def\"\n                      }\n                    ]\n                  }\n                ],\n                \"type\": {\n                  \"code\": \"price\",\n                  \"description\": \"Price level type\",\n                  \"label\": \"HT Tariff\"\n                }\n              }\n            ],\n            \"product\": {\n              \"gtin\": \"34567890123456\"\n            },\n            \"taxes\": []\n          }\n        ]\n      },\n      \"gtin\": \"34567890123456\",\n      \"supplierId\": null\n    }\n  ]\n}'"
            }
          ],
          "samples-languages": [
            "curl"
          ]
        }
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```